> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Member Request List

> Returns a list of all member requests for a given employee. Each member request may have one or more associated member transactions.

<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml GET /api/v1/employees/{employee_id}/member_requests
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/member_requests:
    get:
      tags:
        - Member Requests
      summary: Get all Member Requests for Employee
      description: >-
        Returns a list of all member requests for a given employee. Each member
        request may have one or more associated member transactions.
      operationId: getEmployeeMemberRequestList
      parameters:
        - description: >-
            The unique identifier of the employee for which you would like to
            view member requests
          in: path
          name: employee_id
          required: true
          schema:
            example: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - body:
                      coverages:
                        - carrier_config:
                            bill_group: '1000001'
                            member_group: '99999'
                          carrier_id: d0003042-eaae-4491-b219-4825456a3d16
                          lines_of_coverage:
                            dental:
                              waiving_members:
                                - id: f471a562-fa8f-41c9-93fd-12b372e16c72
                                  member_type: employee
                                  reason: other-spouse-group
                    completed: 1557565200
                    created: 1557512389
                    employee_id: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                    id: 4f57e463-f4d5-4255-83d4-806b0cabaac5
                    modified: 1557565200
                    request_type: new_hire
                    status: processing
                    transactions:
                      - a6e30204-87b2-4802-95a4-a156bd0f7435
                  - body:
                      employee_id: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
                      last_work_date: '2018-01-15'
                      reason: voluntary
                    completed: 1557565200
                    created: 1557512394
                    employee_id: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                    id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                    modified: 1557565200
                    request_type: termination
                    status: processing
                    transactions:
                      - f4ecdaa5-e019-4a24-98c7-2caee9a58ccd
              schema:
                $ref: '#/components/schemas/PaginatedMemberRequestResult'
          description: Successful Response - Returns all matching Member Requests
components:
  schemas:
    PaginatedMemberRequestResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of member request results
          items:
            $ref: '#/components/schemas/MemberRequestResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    MemberRequestResult:
      properties:
        body:
          description: >-
            Data required to execute a member request, varies depending on the
            request type
          type: object
        completed:
          description: Timestamp indicating when a member request was marked as completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        request_type:
          description: Transaction type for the member request
          enum:
            - demographic
            - new_hire
            - termination
            - open_enrollment
            - qualifying_life_event
            - enrollment_snapshot
            - cobra_enrollment
            - cobra_termination
            - cobra_open_enrollment
            - cobra_qualifying_life_event
          type: string
        result:
          description: >-
            Result from executing the member request, varies depending on the
            request type
          type: object
        status:
          description: Status of the member request
          enum:
            - processing
            - completed
            - failed
            - canceled
          type: string
        transactions:
          description: >-
            List of unique identifiers of all associated member transactions in
            Noyo
          items:
            format: uuid
            type: string
          type: array
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - employee_id
        - id
        - modified
        - request_type
        - result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - completed
        - modified
        - employee_id
        - request_type
        - status
        - transactions
        - body
        - result

````